List the authenticated user's agent usage ledger rows.
curl --request GET \
--url https://api.nebyoulous.space/me/agent-usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/me/agent-usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/me/agent-usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtimeSessionId": "<string>",
"threadId": "<string>",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"status": "STARTED",
"inputTokens": 0,
"outputTokens": 0,
"toolCallCount": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"message": "<string>"
}Advisor usage
List the authenticated user's agent usage ledger rows.
GET
/
me
/
agent-usage
List the authenticated user's agent usage ledger rows.
curl --request GET \
--url https://api.nebyoulous.space/me/agent-usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/me/agent-usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/me/agent-usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtimeSessionId": "<string>",
"threadId": "<string>",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"status": "STARTED",
"inputTokens": 0,
"outputTokens": 0,
"toolCallCount": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"message": "<string>"
}